Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.pdf.emitter
Class InlineStackingLayout

    java.lang.Object
      ContainerLayout
          org.eclipse.birt.report.engine.layout.pdf.emitter.InlineStackingLayout

All Implemented Interfaces:
  IInlineStackingLayout

Direct Known Subclasses:
  InlineContainerLayout, InlineTextLayout

    public class InlineStackingLayout

extends ContainerLayout
implements IInlineStackingLayout

Constructor Summary
`InlineStackingLayout(LayoutEngineContext context, ContainerLayout parent, IContent content)`

Method Summary
`protected void` | `addToRoot(AbstractArea area)`
`protected void` | `closeLayout(ContainerContext currentContext, int index, boolean finished)`
`protected void` | `createRoot()`
`boolean` | `endLine()`
`int` | `getMaxLineWidth()`
`protected void` | `initialize()`
`boolean` | `isEmptyLine()`
`void` | `setTextIndent(ITextContent textContent)`
`protected void` | `verticalAlign()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineStackingLayout

    public InlineStackingLayout(LayoutEngineContext context,
                                ContainerLayout parent,
                                IContent content)

Method Detail

### addToRoot

    protected void addToRoot(AbstractArea area)

### closeLayout

    protected void closeLayout(ContainerContext currentContext,
                               int index,
                               boolean finished)

### createRoot

    protected void createRoot()

### verticalAlign

    protected void verticalAlign()

### initialize

    protected void initialize()

### endLine

    public boolean endLine()

  Specified by:
    `endLine` in interface `IInlineStackingLayout`

### getMaxLineWidth

    public int getMaxLineWidth()

  Specified by:
    `getMaxLineWidth` in interface `IInlineStackingLayout`

### isEmptyLine

    public boolean isEmptyLine()

  Specified by:
    `isEmptyLine` in interface `IInlineStackingLayout`

### setTextIndent

    public void setTextIndent(ITextContent textContent)

  Specified by:
    `setTextIndent` in interface `IInlineStackingLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.